%define name	rasqal
%define version 0.9.15
%define release %mkrel 1

%define major	0
%define libname %mklibname %name %major

Name: 	 	%{name}
Summary: 	RDF querying library
Version: 	%{version}
Release: 	%{release}

Source:		http://librdf.org/dist/source/%{name}-%{version}.tar.gz
URL:		http://librdf.org/rasqal/
License:	LGPL
Group:		Databases
BuildRequires:	raptor-devel

%description
Rasqal handles Resource Description Framework (RDF) query syntaxes, query
construction and query execution returning result bindings. The supported
query languages are RDQL and SPARQL.  Rasqal was designed to work closely
with the Redland RDF library but is entirely separate. It is intended to be
a portable library working across many POSIX systems (Unix, GNU/Linux,
BSDs, OSX, cygwin) win32 and others.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%multiarch_binaries %buildroot/%_bindir/%name-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog LICENSE* NEWS* NOTICE README*
%{_bindir}/roqet
%{_mandir}/man1/roqet*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/%name-config
%multiarch %{multiarch_bindir}/%name-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_mandir}/man1/rasqal*
%{_mandir}/man3/lib*
%{_datadir}/gtk-doc/html/%name




%changelog
* Fri Dec 28 2007 Austin Acton <austin@mandriva.org> 0.9.15-1mdv2008.1
+ Revision: 138739
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 10 2007 Austin Acton <austin@mandriva.org> 0.9.14-1mdv2008.0
+ Revision: 25990
- new version


* Sat Jan 06 2007 Crispin Boylan <crisb@mandriva.org> 0.9.13-1mdv2007.0
+ Revision: 104784
- New version
- Import rasqal

* Wed May 03 2006 Austin Acton <austin@mandriva.org> 0.9.12-1mdk
- New release 0.9.12

* Tue Jan 17 2006 Austin Acton <austin@mandriva.org> 0.9.11-2mdk
- multiarch

* Mon Jan 16 2006 Austin Acton <austin@mandriva.org> 0.9.11-1mdk
- New release 0.9.11

* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.9.10-2mdk
- rebuild for openssl-0.9.8a

* Mon Jun 13 2005 Austin Acton <austin@mandriva.org> 0.9.10-1mdk
- New release 0.9.10

* Fri Jun 10 2005 Austin Acton <austin@mandriva.org> 0.9.9-1mdk
- New release 0.9.9

* Sun Feb 06 2005 Austin Acton <austin@mandrake.org> 0.9.6-1mdk
- 0.9.6
- source URL

* Thu Dec 30 2004 Austin Acton <austin@mandrake.org> 0.9.4-1mdk
- initial package

